dev_open
Prev | Driver Support | Next

## Name

dev_open — prepare an interface for use.

## Synopsis

`int dev_open (` | struct net_device * | dev`)`;

## Arguments

`dev`

  device to open

## Description

Takes a device from down to up state. The device's private open function is invoked and then the multicast lists are loaded. Finally the device is moved into the up state and a `NETDEV_UP` message is sent to the netdev notifier chain.

Calling this function on an active interface is a nop. On a failure a negative errno code is returned.

Prev | Up | Next
dev_load | Home | dev_close